<!-- 停止→花火 -->
<?xml version="1.0" ?>
<!DOCTYPE bulletml SYSTEM "http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd">
<bulletml xmlns="http://www.asahi-net.or.jp/~cs8k-cyu/bulletml">
	<action label="top">
		<repeat>
			<times>1</times>
			<action>
				<fire>
					<direction type="absolute">90</direction>
					<speed>8</speed>
					<bulletRef label="down">
						<param>7</param>
					</bulletRef>
				</fire>
				<fire>
					<direction type="absolute">-90</direction>
					<speed>8</speed>
					<bulletRef label="down">
						<param>0</param>
					</bulletRef>
				</fire>
				<fire>
					<direction type="absolute">100</direction>
					<speed>8</speed>
					<bulletRef label="down">
						<param>-4</param>
					</bulletRef>
				</fire>
				<fire>
					<direction type="absolute">-100</direction>
					<speed>8</speed>
					<bulletRef label="down">
						<param>-8</param>
					</bulletRef>
				</fire>
				<fire>
					<direction type="absolute">135</direction>
					<speed>8</speed>
					<bulletRef label="down">
						<param>5</param>
					</bulletRef>
				</fire>
				<fire>
					<direction type="absolute">-135</direction>
					<speed>8</speed>
					<bulletRef label="down">
						<param>10</param>
					</bulletRef>
				</fire>
				<wait>5</wait>
			</action>
		</repeat>
		<wait>0</wait>
		<vanish />
	</action>
	
	<bullet label="down">
		<action>
			<wait>10</wait>
			<changeSpeed>
				<speed>0</speed>
				<term>5</term>
			</changeSpeed>
			<wait>50 - $rank * 20</wait>
			
			<changeDirection>
				<direction type="aim">$1</direction>
				<term>1</term>
			</changeDirection>
			<changeSpeed>
				<speed>0.75 + $rank + $rand</speed>
				<term>20</term>
			</changeSpeed>
		</action>
	</bullet>
	
</bulletml>
